To: linux-m68k@lists.linux-m68k.org
Subject: L68K: mc146818rtc.h
X-Yow: I hope the ``Eurythmics'' practice birth control...
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 01 Dec 1997 10:25:03 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

Hi!

This patch fixes the mc146818rtc.h header so that it can be used by a user
program, since it defines the ioctl interface.

Andreas.

--- linux/include/linux/mc146818rtc.h.~1~	Mon Nov 17 18:04:57 1997
+++ linux/include/linux/mc146818rtc.h	Sun Nov 30 19:06:03 1997
@@ -10,6 +10,9 @@
 
 #ifndef _MC146818RTC_H
 #define _MC146818RTC_H
+
+#ifdef __KERNEL__
+
 #include <asm/io.h>
 #include <linux/config.h>
 
@@ -172,6 +175,8 @@
 #ifndef BIN_TO_BCD
 #define BIN_TO_BCD(val) ((val)=(((val)/10)<<4) + (val)%10)
 #endif
+
+#endif /* __KERNEL__ */
 
 /*
  * The struct used to pass data via the following ioctl. Similar to the
